Git Multi User
==============


This lib permits to use different git users in the same session.

User just loads its git configuration in a git repo when needed.
And clean it when job is done.


Install
-------

Add the path to your `~/.bashrc`:

        # Add git multi-user tool
        PATH=$PATH:/path/to/git-multi-user

One may need to run `source ~/.bashrc` to make it ready.



Configuration
-------------

Create a config file (one can used Alban one as example):

	cp .gitconfig_alban .gitconfig_john

Modify at least `name` and `email`.

**Warning:** Git-multi-user replaces git variable `include.path`.
Be carefull that it is not already used.



Usage
-----

To start working in a git repo:

	git-start alban

When job is done:

	git-stop

Easy ! ;)
